import request from '@/utils/request'

// 查询农专年报基本信息补充列表
export function listAnnual(query) {
  return request({
    url: '/basicData/xcrBasicSupplementAgriculturalCollegeAnnual/findByPage',
    method: 'get',
    params: query
  })
}

// 查询农专年报基本信息补充详细
export function getAnnual(xhCodeId) {
  return request({
    url: '/basicData/xcrBasicSupplementAgriculturalCollegeAnnual/' + xhCodeId,
    method: 'get'
  })
}

// 新增农专年报基本信息补充
export function addAnnual(data) {
  return request({
    url: '/basicData/xcrBasicSupplementAgriculturalCollegeAnnual',
    method: 'post',
    data: data
  })
}

// 修改农专年报基本信息补充
export function updateAnnual(data) {
  return request({
    url: '/basicData/xcrBasicSupplementAgriculturalCollegeAnnual',
    method: 'put',
    data: data
  })
}

// 删除农专年报基本信息补充
export function delAnnual(xhCodeId) {
  return request({
    url: '/basicData/xcrBasicSupplementAgriculturalCollegeAnnual/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delAnnualBatch(ids) {
  return request.post('/basicData/xcrBasicSupplementAgriculturalCollegeAnnual/delete',ids)
}
